Subject: Re: [PATCH net] selftests: bonding: Add more missing config options

From: Jay Vosburgh <[email-masked]>
Date: Tue, 16 Jan 2024 11:03:30 -0800

Jakub Kicinski <[email-masked]> wrote:

>On Tue, 16 Jan 2024 10:49:26 -0500 Benjamin Poirier wrote:
>> As a followup to commit 03fb8565c880 ("selftests: bonding: add missing
>> build configs"), add more networking-specific config options which are
>> needed for bonding tests.
>> 
>> For testing, I used the minimal config generated by virtme-ng and I added
>> the options in the config file. All bonding tests passed.
>> 
>> Fixes: bbb774d921e2 ("net: Add tests for bonding and team address list management") # for ipv6
>> Fixes: 6cbe791c0f4e ("kselftest: bonding: add num_grat_arp test") # for tc options
>> Fixes: 222c94ec0ad4 ("selftests: bonding: add tests for ether type changes") # for nlmon
>> Suggested-by: Jakub Kicinski <[email-masked]>
>> Signed-off-by: Benjamin Poirier <[email-masked]>
>
>With this applied the only remaining bonding test which fails in our CI
>is bond-options [1], good progress! :) Looks like it doesn't finish in
>time:
>
>not ok 7 selftests: drivers/net/bonding: bond_options.sh # TIMEOUT 120 seconds
>
>The tests run in a VM without HW virtualization support. Any opinions
>about bumping the timeout for bonding? If we enable KASAN etc. things
>will get even slower.

	Reading the grat_arp test, it looks like it has long sleep times
built into it:

garp_test()
{
[...]
	exp_num=$(echo "${param}" | cut -f6 -d ' ')
	sleep $((exp_num + 2))

num_grat_arp()
{
	local val
	for val in 10 20 30 50; do
		garp_test "mode active-backup miimon 100 num_grat_arp $val peer_notify_delay 1000"

	If I'm reading it right, this will sleep for 12, 22, 32 and 52
seconds for the passes through the loop in num_grat_arp(), so that would
be 118 seconds just for that.

	-J

>[1]
>https://netdev-2.bots.linux.dev/vmksft-bonding/results/423800/7-bond-options-sh

---
	-Jay Vosburgh, [email-masked]